# načítanie údajov zo súboru pribeh.txt



t1 = open('pribeh.txt', 'r')                # ak poznáme počet riadkov v načítanom súbore
for i in range(3):
    riadok = t1.readline()
    print(riadok)
t1.close()
print('------------------')



t2 = open('pribeh.txt', 'r')                # ak poznáme počet riadkov v načítanom súbore a zakážeme výpis prázdnych riadkov
for i in range(3):
    riadok = t2.readline()
    print(riadok[:-1])
t2.close()
print('------------------')





# zistenie konca súboru

t3 = open('pribeh.txt', 'r')                # ak nepoznáme počet riadkov v načítanom súbore tak môžeme použiť cyklus while s podmienkou či už sme na konci súboru
riadok = t3.readline()
while riadok != '':
    print(riadok[:-1])
    riadok = t3.readline()
t3.close()
print('------------------')




# použitie funkcie repr(), ktorá vráti takú reťazcovú reprezentáciu daného parametra, aby sme po jeho vypísaní (napríklad funkciou print())
# dostali presne taký tvar, aký očakáva Python pri zadávaní konštanty, teda aj s apostrofmi, prípadne aj so znakom '\' pri špeciálnych znakoch

t4 = open('pribeh2.txt', 'r')
riadok = t4.readline()
while riadok != '':
    print(riadok[:-1])
    riadok = t4.readline()
t4.close()
print('------------------')


t4 = open('pribeh2.txt', 'r')
riadok = t4.readline()
while riadok != '':
    print(repr(riadok[:-1]))
    riadok = t4.readline()
t4.close()
print('------------------')





# použitie for-cyklu pre čítanie zo súboru

t5 = open('pribeh.txt', 'r')                # ak nepoznáme počet riadkov v načítanom súbore tak môžeme použiť for-cyklus s premenou, ktorá je iterovateľná v rámci riadkov načítaného súboru
for riadok in t5:
    print(repr(riadok))
t5.close()
print('------------------')


t6 = open('pribeh.txt', 'r')
for riadok in t6:
    print(repr(riadok.rstrip()))            # funkciou rstrip() dokážeme poriešiť problémy zašumenia na konci riadkov v načítanom súbore 
t6.close()
print('------------------')


t7 = open('pribeh3.txt', 'r')
print('prvy riadok:', t7.readline())

for riadok in t7:
    print(repr(riadok.rstrip()))
t7.close()
print('------------------')






# prečítanie celého súboru a uloženie do jedného reťazca postupným zreťazovaním

t7 = open('pribeh3.txt', 'r')
cely_subor = ''
for riadok in t7:
    cely_subor += riadok
t7.close()
print(cely_subor[:-1])
print('------------------')




# prečítanie celého súboru do jedného reťazca pomocu metódy read()

t8 = open('pribeh3.txt', 'r')                                             # riziko zahltenia pamäte ak nepoznáme množstvo riadkov v načítanom súbore
cely_suborr = t8.read()                     
t8.close()
print(cely_suborr[:-1])
print('------------------')




# prečítanie časti súboru do jedného reťazca pomocu metódy read()         # funkciou read() môžeme pristupovať k časti súboru zadaním parametra určujúceho počet znakov od aktuálneho miesta 

t9 = open('pribeh3.txt', 'r')
print('prve 3 znaky =', repr(t9.read(3)))
print('dalsich 6 znakov =', repr(t9.read(6)))
print('zvysok suboru =', repr(t9.read()))
t9.close()






